org.apache.tomcat.util.digester

## Class SetPropertyRule

- java.lang.Object
- - org.apache.tomcat.util.digester.Rule
  - - org.apache.tomcat.util.digester.SetPropertyRule

-     public class SetPropertyRule
      extends Rule

  Rule implementation that sets an individual property on the object at the top of the stack, based on attributes with specified names.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name` The attribute that will contain the property name.
    `protected String` | `value` The attribute that will contain the property value.

    - ### Fields inherited from class org.apache.tomcat.util.digester.Rule

      `digester, namespaceURI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetPropertyRule(Digester digester, String name, String value)` Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.tomcat.util.digester.Rule)` method. Use `SetPropertyRule(String name, String value)` instead.
    `SetPropertyRule(String name, String value)` Construct a "set property" rule with the specified name and value attributes.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin(String namespace, String theName, Attributes attributes)` Process the beginning of this element.
    `String` | `toString()` Render a printable version of this Rule.

    - ### Methods inherited from class org.apache.tomcat.util.digester.Rule

      `begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

      The attribute that will contain the property name.

    - #### value

          protected String value

      The attribute that will contain the property value.

  - ### Constructor Detail

    - #### SetPropertyRule

          @Deprecated
          public SetPropertyRule(Digester digester,
                                    String name,
                                    String value)

      Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.tomcat.util.digester.Rule)` method. Use `SetPropertyRule(String name, String value)` instead.
      Construct a "set property" rule with the specified name and value attributes.
      Parameters:
        `digester` - The digester with which this rule is associated
        `name` - Name of the attribute that will contain the name of the property to be set
        `value` - Name of the attribute that will contain the value to which the property should be set

    - #### SetPropertyRule

          public SetPropertyRule(String name,
                         String value)

      Construct a "set property" rule with the specified name and value attributes.
      Parameters:
        `name` - Name of the attribute that will contain the name of the property to be set
        `value` - Name of the attribute that will contain the value to which the property should be set

  - ### Method Detail

    - #### begin

          public void begin(String namespace,
                   String theName,
                   Attributes attributes)
                     throws Exception

      Process the beginning of this element.
      Overrides:
        `begin` in class `Rule`
      Parameters:
        `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
        `theName` - the local name if the parser is namespace aware, or just the element name otherwise
        `attributes` - The attribute list for this element
      Throws:
        `NoSuchMethodException` - if the bean does not have a writable property of the specified name
        `Exception`

    - #### toString

          public String toString()

      Render a printable version of this Rule.
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.